Bug 193191

Summary: Review Request: rename of notify-daemon to notification-daemon
Product: [Fedora] Fedora Reporter: John (J5) Palmieri <johnp>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bdpepple, fedora-package-review, jkeck
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-06-14 16:33:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 188268    

Description John (J5) Palmieri 2006-05-25 18:14:30 EDT
Spec URL: http://people.redhat.com/johnp/files/notification-daemon/notification-daemon.spec
SRPM URL: http://people.redhat.com/johnp/files/notification-daemon/notification-daemon-0.3.5-1.src.rpm
Description: This is a rename to match upstream's rename of the notification-daemon package
Comment 1 Brian Pepple 2006-05-25 19:34:04 EDT
Couple of items:

1. Fails to build in Mock.  Looks like it is due to a missing BR on GConf2-devel.
2. The Requires on gtk2 & dbus are unnecessary, since the devel packages sonames
will pull these in.
3. SOURCE should be a full URL.
4. You can probably pass the --disable-static flag to the configure macro, and
not even build the static libs since your just removing them anyhow.
5. You should probably use the gconf scriptlets from the wiki.
Comment 3 Jesse Keating 2006-05-26 16:45:43 EDT
 - Buildroot needs to follow guideline
 - BuildRequires: autconf automake 
 - Fails to build in mock:
checking for NOTIFICATION_DAEMON... configure: error: Package requirements (
        gtk+-2.0 >= 2.4.0,      glib-2.0 >= 2.4.0,      dbus-1 >= 0.36,        
dbus-glib-1 >= 0.36,    gconf-2.0,      libwnck-1.0 ) were not met:

No package 'libwnck-1.0' found.

Also, the manual Requires, is this because rpm require checking isn't getting it
Comment 4 John (J5) Palmieri 2006-06-05 16:21:45 EDT
Fixed with suggestions.

Not sure why Buildroot isn't just handled by RPM.

Spec URL:
Comment 5 Jesse Keating 2006-06-14 16:33:23 EDT
THis was built into rawhide.